Bug 183450 - Error activating XKB configuration
Error activating XKB configuration
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-01 00:33 EST by Gregory Leblanc
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 22:03:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Leblanc 2006-03-01 00:33:15 EST
Description of problem:

Error activating XKB configuration.
It can happen under various circumstances:
- a bug in libxklavier library
- a bug in X server (xkbcomp, xmodmap utilities)
- X server with incompatible libxkbfile implementation

X server version data:
The X.Org Foundation
70000000

If you report this situation as a bug, please include:
- The result of xprop -root | grep XKB
- The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd

Version-Release number of selected component (if applicable):
xorg-x11-xkbdata-1.0.1-5

How reproducible:
Always

Steps to Reproduce:
1. Open GNOME Keyboard Preferences (system, Preferences, Keyboard)
2. Click on Layout Options
3. Click on Control Key location
4. Click any option other than Default.

Additional info:
$ xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xorg", "pc105", "us", "", ""
_XKB_RULES_NAMES(STRING) = "xorg", "pc105", "us", "", ""


$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
 layouts = [us]
 model = pc105
 overrideSettings = false
 options = []
Comment 1 Mike A. Harris 2006-03-01 03:27:44 EST
Reassigning to gnome-applets.

Info for gnome-applets maintainer, is that xorg-x11-xkbdata-1.0.1-5 contains
xkeyboard-config instead of X.Org xkbdata, and it is built with compat
layouts enabled.  It is version 0.7, however the author will be releasing
0.8 soon which we'll be updating to.

Hope this helps.
Comment 2 Matthias Clasen 2006-08-03 22:03:50 EDT
seems fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.